package com.casic.br.view

import android.view.View
import com.casic.br.R
import com.gyf.immersionbar.ImmersionBar
import com.pengxh.kt.lite.base.KotlinBaseActivity
import com.pengxh.kt.lite.extensions.convertColor
import com.pengxh.kt.lite.extensions.navigatePageTo
import com.pengxh.kt.lite.utils.ImmerseStatusBarUtil
import com.pengxh.kt.lite.utils.PageNavigationManager
import kotlinx.android.synthetic.main.activity_register_result.*
import kotlinx.android.synthetic.main.include_left_back_title.*

class RegisterResultActivity : KotlinBaseActivity() {

    override fun initLayoutView(): Int = R.layout.activity_register_result

    override fun setupTopBarLayout() {
        ImmersionBar.with(this).statusBarDarkFont(true).init()
        ImmerseStatusBarUtil.setColor(this, R.color.white.convertColor(this))

        leftBackView.setOnClickListener { finish() }
        titleView.visibility = View.GONE
    }

    override fun observeRequestState() {

    }

    override fun initData() {

    }

    override fun initEvent() {
        loginButton.setOnClickListener {
            navigatePageTo<LoginActivity>()
            PageNavigationManager.finishAllActivity()
        }
    }
}